# Asset Management with Webpack Encore

This project uses Webpack Encore for asset management including JavaScript and CSS minification.

## Setup

Before using the application, you need to set up the front-end assets:

1. Install Node.js dependencies:
   ```
   npm install
   ```

2. Copy the existing static assets to the Encore assets directory:
   ```
   mkdir -p assets/css assets/js
   cp public/static/css/water.min.css assets/css/
   cp public/static/js/htmx.min.js assets/js/
   ```

3. Build the assets:
   
   For development:
   ```
   npm run dev
   ```
   
   For production (with minification):
   ```
   npm run build
   ```

## Development

During development, you can use the watch command to automatically rebuild assets when files change:
